# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu"
  s.version = "0.23.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter", "Justin Kolberg"]
  s.bindir = "exe"
  s.date = "2016-04-25"
  s.description = "A monitoring framework that aims to be simple, malleable, and scalable."
  s.email = ["portertech@gmail.com", "amdprophet@gmail.com"]
  s.executables = ["sensu-api", "sensu-client", "sensu-install", "sensu-server"]
  s.files = ["CHANGELOG.md", "MIT-LICENSE.txt", "README.md", "exe/sensu-api", "exe/sensu-client", "exe/sensu-install", "exe/sensu-server", "lib/sensu.rb", "lib/sensu/api/process.rb", "lib/sensu/cli.rb", "lib/sensu/client/process.rb", "lib/sensu/client/socket.rb", "lib/sensu/constants.rb", "lib/sensu/daemon.rb", "lib/sensu/server/filter.rb", "lib/sensu/server/handle.rb", "lib/sensu/server/mutate.rb", "lib/sensu/server/process.rb", "lib/sensu/server/sandbox.rb", "lib/sensu/server/socket.rb", "lib/sensu/utilities.rb", "sensu.gemspec"]
  s.homepage = "http://sensuapp.org"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "A monitoring framework"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, ["~> 1.2.0.1"])
      s.add_runtime_dependency(%q<sensu-json>, ["~> 1.1.1"])
      s.add_runtime_dependency(%q<sensu-logger>, ["~> 1.2.0"])
      s.add_runtime_dependency(%q<sensu-settings>, ["~> 3.4.0"])
      s.add_runtime_dependency(%q<sensu-extension>, ["~> 1.5.0"])
      s.add_runtime_dependency(%q<sensu-extensions>, ["~> 1.5.0"])
      s.add_runtime_dependency(%q<sensu-transport>, ["~> 5.0.0"])
      s.add_runtime_dependency(%q<sensu-spawn>, ["~> 1.8.0"])
      s.add_runtime_dependency(%q<sensu-redis>, ["~> 1.3.0"])
      s.add_runtime_dependency(%q<sinatra>, ["~> 1.4.6"])
      s.add_runtime_dependency(%q<async_sinatra>, ["~> 1.2.0"])
      s.add_runtime_dependency(%q<thin>, ["~> 1.6.3"])
      s.add_development_dependency(%q<rake>, ["~> 10.5.0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_development_dependency(%q<em-http-request>, ["~> 1.1"])
      s.add_development_dependency(%q<addressable>, ["~> 2.3.8"])
    else
      s.add_dependency(%q<eventmachine>, ["~> 1.2.0.1"])
      s.add_dependency(%q<sensu-json>, ["~> 1.1.1"])
      s.add_dependency(%q<sensu-logger>, ["~> 1.2.0"])
      s.add_dependency(%q<sensu-settings>, ["~> 3.4.0"])
      s.add_dependency(%q<sensu-extension>, ["~> 1.5.0"])
      s.add_dependency(%q<sensu-extensions>, ["~> 1.5.0"])
      s.add_dependency(%q<sensu-transport>, ["~> 5.0.0"])
      s.add_dependency(%q<sensu-spawn>, ["~> 1.8.0"])
      s.add_dependency(%q<sensu-redis>, ["~> 1.3.0"])
      s.add_dependency(%q<sinatra>, ["~> 1.4.6"])
      s.add_dependency(%q<async_sinatra>, ["~> 1.2.0"])
      s.add_dependency(%q<thin>, ["~> 1.6.3"])
      s.add_dependency(%q<rake>, ["~> 10.5.0"])
      s.add_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_dependency(%q<em-http-request>, ["~> 1.1"])
      s.add_dependency(%q<addressable>, ["~> 2.3.8"])
    end
  else
    s.add_dependency(%q<eventmachine>, ["~> 1.2.0.1"])
    s.add_dependency(%q<sensu-json>, ["~> 1.1.1"])
    s.add_dependency(%q<sensu-logger>, ["~> 1.2.0"])
    s.add_dependency(%q<sensu-settings>, ["~> 3.4.0"])
    s.add_dependency(%q<sensu-extension>, ["~> 1.5.0"])
    s.add_dependency(%q<sensu-extensions>, ["~> 1.5.0"])
    s.add_dependency(%q<sensu-transport>, ["~> 5.0.0"])
    s.add_dependency(%q<sensu-spawn>, ["~> 1.8.0"])
    s.add_dependency(%q<sensu-redis>, ["~> 1.3.0"])
    s.add_dependency(%q<sinatra>, ["~> 1.4.6"])
    s.add_dependency(%q<async_sinatra>, ["~> 1.2.0"])
    s.add_dependency(%q<thin>, ["~> 1.6.3"])
    s.add_dependency(%q<rake>, ["~> 10.5.0"])
    s.add_dependency(%q<rspec>, ["~> 3.0.0"])
    s.add_dependency(%q<em-http-request>, ["~> 1.1"])
    s.add_dependency(%q<addressable>, ["~> 2.3.8"])
  end
end

