require File.join(File.dirname(__FILE__), "..", "helpers.rb")

require "sensu/client/process"

describe "Sensu::Client::Process" do
  include Helpers

  before do
    @client = Sensu::Client::Process.new(options)
  end

  it "can calculate a check execution splay interval" do
    allow(Time).to receive(:now).and_return("1414213569.032")
    check = check_template
    check[:interval] = 60
    expect(@client.calculate_execution_splay(check)).to eq(3.321)
    check[:interval] = 3600
    expect(@client.calculate_execution_splay(check)).to eq(783.321)
  end
end
